Index: /trunk/workflow/inc/phplot/phplot.php
===================================================================
--- /trunk/workflow/inc/phplot/phplot.php	(revision 6057)
+++ /trunk/workflow/inc/phplot/phplot.php	(revision 7655)
@@ -549,5 +549,5 @@
             $this->ndx_data_colors[$i] = $this->SetIndexColor($col);
             $this->ndx_data_dark_colors[$i] = $this->SetIndexDarkColor($col);
-            $i++;
+            ++$i;
         }
 
@@ -574,5 +574,5 @@
         foreach($this->data_border_colors as $col) {
             $this->ndx_data_border_colors[$i] = $this->SetIndexColor($col);
-            $i++;
+            ++$i;
         }
     } // function SetDataBorderColors()
@@ -595,5 +595,5 @@
         foreach($this->error_bar_colors as $col) {
             $this->ndx_error_bar_colors[$i] = $this->SetIndexColor($col);
-            $i++;
+            ++$i;
         }
         return TRUE;
@@ -628,5 +628,5 @@
                 $this->default_dashed_style .= str_repeat('IMG_COLOR_TRANSPARENT,', $s);
             }
-            $t++;
+            ++$t;
         }
         // Remove trailing comma and add closing parenthesis
@@ -959,5 +959,5 @@
 
                 $ypos = $which_ypos;
-                for($i = 0; $i < $nlines; $i++) {
+                for($i = 0; $i < $nlines; ++$i) {
                     // Center the text vertically around $which_ypos (each line)
                     if ($which_valign == 'center')
@@ -983,5 +983,5 @@
 
                 $xpos = $which_xpos;
-                for($i = 0; $i < $nlines; $i++) {
+                for($i = 0; $i < $nlines; ++$i) {
                     // center the text around $which_xpos
                     if ($which_halign == 'center')
@@ -1710,5 +1710,5 @@
 
         // Fix odd point sizes for point shapes which need it
-        for ($i = 0; $i < $pt; $i++) {
+        for ($i = 0; $i < $pt; ++$i) {
             if ($this->point_shapes[$i] == 'diamond' or $this->point_shapes[$i] == 'triangle') {
                 if ($this->point_sizes[$i] % 2 != 0) {
@@ -1762,5 +1762,5 @@
         $this->total_records = 0;               // Perform some useful calculations.
         $this->records_per_group = 1;
-        for ($i = 0, $recs = 0; $i < $this->num_data_rows; $i++) {
+        for ($i = 0, $recs = 0; $i < $this->num_data_rows; ++$i) {
             // Copy
             $this->data[$i] = array_values($which_dv[$i]);   // convert to numerical indices.
@@ -1842,5 +1842,5 @@
 
         // Process each row of data
-        for ($i=0; $i < $this->num_data_rows; $i++) {
+        for ($i=0; $i < $this->num_data_rows; ++$i) {
             $j=0;
             // Extract maximum text label length
@@ -1858,5 +1858,5 @@
                     $miny = $maxy;
                 }
-                for (; $j < $this->num_recs[$i]; $j++) {
+                for (; $j < $this->num_recs[$i]; ++$j) {
                     $val = (double)$this->data[$i][$j];
                     if ($this->plot_type == 'stackedbars') {
@@ -1876,5 +1876,5 @@
                 $miny = $maxy = (double)$this->data[$i][$j++];
                 // $numrecs = @ count($this->data[$i]);
-                for (; $j < $this->num_recs[$i]; $j++) {
+                for (; $j < $this->num_recs[$i]; ++$j) {
                     $val = (double)$this->data[$i][$j];
                     $maxy = ($val > $maxy) ? $val : $maxy;
@@ -3180,5 +3180,5 @@
             $y_pos += $char_h + $this->line_spacing;
 
-            $color_index++;
+            ++$color_index;
             if ($color_index > $max_color_index)
                 $color_index = 0;
@@ -3222,6 +3222,6 @@
         // Get sum of each column? One pie slice per column
         if ($this->data_type === 'text-data') {
-            for ($i = 0; $i < $this->num_data_rows; $i++) {
-                for ($j = 1; $j < $this->num_recs[$i]; $j++) {      // Label ($row[0]) unused in these pie charts
+            for ($i = 0; $i < $this->num_data_rows; ++$i) {
+                for ($j = 1; $j < $this->num_recs[$i]; ++$j) {      // Label ($row[0]) unused in these pie charts
                     @ $sumarr[$j] += abs($this->data[$i][$j]);      // NOTE!  sum > 0 to make pie charts
                 }
@@ -3230,5 +3230,5 @@
         // Or only one column per row, one pie slice per row?
         else if ($this->data_type == 'text-data-single') {
-            for ($i = 0; $i < $this->num_data_rows; $i++) {
+            for ($i = 0; $i < $this->num_data_rows; ++$i) {
                 $legend[$i] = $this->data[$i][0];                   // Set the legend to column labels
                 $sumarr[$i] = $this->data[$i][1];
@@ -3236,6 +3236,6 @@
         }
         else if ($this->data_type == 'data-data') {
-            for ($i = 0; $i < $this->num_data_rows; $i++) {
-                for ($j = 2; $j < $this->num_recs[$i]; $j++) {
+            for ($i = 0; $i < $this->num_data_rows; ++$i) {
+                for ($j = 2; $j < $this->num_recs[$i]; ++$j) {
                     @ $sumarr[$j] += abs($this->data[$i][$j]);
                 }
@@ -3304,5 +3304,5 @@
                                     $label_txt, 'center', 'center');
                 }
-                $color_index++;
+                ++$color_index;
                 $color_index = $color_index % $max_data_colors;
             }   // end for
@@ -3325,5 +3325,5 @@
         $do_labels = ($this->plot_type != 'linepoints');
 
-        for($row = 0, $cnt = 0; $row < $this->num_data_rows; $row++) {
+        for($row = 0, $cnt = 0; $row < $this->num_data_rows; ++$row) {
             $record = 1;                                // Skip record #0 (title)
 
@@ -3337,5 +3337,5 @@
 
             // Now go for Y, E+, E-
-            for ($idx = 0; $record < $this->num_recs[$row]; $idx++) {
+            for ($idx = 0; $record < $this->num_recs[$row]; ++$idx) {
                     // Y:
                     $y_now = $this->data[$row][$record++];
@@ -3367,5 +3367,5 @@
         $do_labels = ($this->plot_type != 'linepoints');
 
-        for ($row = 0, $cnt = 0; $row < $this->num_data_rows; $row++) {
+        for ($row = 0, $cnt = 0; $row < $this->num_data_rows; ++$row) {
             $rec = 1;                    // Skip record #0 (data label)
 
@@ -3383,5 +3383,5 @@
 
             // Proceed with Y values
-            for($idx = 0;$rec < $this->num_recs[$row]; $rec++, $idx++) {
+            for($idx = 0;$rec < $this->num_recs[$row]; ++$rec, ++$idx) {
                 if (is_numeric($this->data[$row][$rec])) {              // Allow for missing Y data
                     $this->DrawDot($x_now, $this->data[$row][$rec],
@@ -3400,5 +3400,5 @@
         $this->CheckOption($this->data_type, 'text-data, data-data', __FUNCTION__);
 
-        for ($row = 0, $cnt = 0; $row < $this->num_data_rows; $row++) {
+        for ($row = 0, $cnt = 0; $row < $this->num_data_rows; ++$row) {
             $rec = 1;                    // Skip record #0 (data label)
 
@@ -3416,5 +3416,5 @@
 
             // Proceed with Y values
-            for($idx = 0;$rec < $this->num_recs[$row]; $rec++, $idx++) {
+            for($idx = 0;$rec < $this->num_recs[$row]; ++$rec, ++$idx) {
                 if (is_numeric($this->data[$row][$rec])) {              // Allow for missing Y data
                     ImageSetThickness($this->img, $this->line_widths[$idx]);
@@ -3545,5 +3545,5 @@
         $incomplete_data_defaults_to_x_axis = FALSE;        // TODO: make this configurable
 
-        for ($row = 0, $cnt = 0; $row < $this->num_data_rows; $row++) {
+        for ($row = 0, $cnt = 0; $row < $this->num_data_rows; ++$row) {
             $rec = 1;                                       // Skip record #0 (data label)
 
@@ -3561,5 +3561,5 @@
             // Proceed with Y values
             // Create array of points for imagefilledpolygon()
-            for($idx = 0; $rec < $this->num_recs[$row]; $rec++, $idx++) {
+            for($idx = 0; $rec < $this->num_recs[$row]; ++$rec, ++$idx) {
                 if (is_numeric($this->data[$row][$rec])) {              // Allow for missing Y data
                     $y_now_pixels = $this->ytr($this->data[$row][$rec]);
@@ -3582,5 +3582,5 @@
 
         $end = count($posarr);
-        for ($i = 0; $i < $end; $i++) {
+        for ($i = 0; $i < $end; ++$i) {
             // Prepend initial points. X = first point's X, Y = x_axis_y_pixels
             $x = $posarr[$i][0];
@@ -3618,5 +3618,5 @@
         }
 
-        for ($row = 0, $cnt = 0; $row < $this->num_data_rows; $row++) {
+        for ($row = 0, $cnt = 0; $row < $this->num_data_rows; ++$row) {
             $record = 1;                                    // Skip record #0 (data label)
 
@@ -3631,5 +3631,5 @@
                 $this->DrawXDataLabel($this->data[$row][0], $x_now_pixels, $row);
 
-            for ($idx = 0; $record < $this->num_recs[$row]; $record++, $idx++) {
+            for ($idx = 0; $record < $this->num_recs[$row]; ++$record, ++$idx) {
                 if (($line_style = $this->line_styles[$idx]) == 'none')
                     continue; //Allow suppressing entire line, useful with linepoints
@@ -3679,5 +3679,5 @@
         $start_lines = array_fill(0, $this->records_per_group, FALSE);
 
-        for ($row = 0, $cnt = 0; $row < $this->num_data_rows; $row++) {
+        for ($row = 0, $cnt = 0; $row < $this->num_data_rows; ++$row) {
             $record = 1;                                    // Skip record #0 (data label)
 
@@ -3691,5 +3691,5 @@
 
             // Now go for Y, E+, E-
-            for ($idx = 0; $record < $this->num_recs[$row]; $idx++) {
+            for ($idx = 0; $record < $this->num_recs[$row]; ++$idx) {
                 if (($line_style = $this->line_styles[$idx]) == 'none')
                     continue; //Allow suppressing entire line, useful with linepoints
@@ -3749,5 +3749,5 @@
         }
 
-        for ($row = 0, $cnt = 0; $row < $this->num_data_rows; $row++) {
+        for ($row = 0, $cnt = 0; $row < $this->num_data_rows; ++$row) {
             $record = 1;                                    // Skip record #0 (data label)
 
@@ -3763,5 +3763,5 @@
 
             // Draw Lines
-            for ($idx = 0; $record < $this->num_recs[$row]; $record++, $idx++) {
+            for ($idx = 0; $record < $this->num_recs[$row]; ++$record, ++$idx) {
                 if (is_numeric($this->data[$row][$record])) {               // Allow for missing Y data
                     $y_now_pixels = $this->ytr($this->data[$row][$record]);
@@ -3813,5 +3813,5 @@
         $x_first_bar = (($this->records_per_group - 1) * $this->record_bar_width) / 2 - $this->bar_adjust_gap;
 
-        for ($row = 0; $row < $this->num_data_rows; $row++) {
+        for ($row = 0; $row < $this->num_data_rows; ++$row) {
             $record = 1;                                    // Skip record #0 (data label)
 
@@ -3825,5 +3825,5 @@
 
             // Draw the bars in the group:
-            for ($idx = 0; $record < $this->num_recs[$row]; $record++, $idx++) {
+            for ($idx = 0; $record < $this->num_recs[$row]; ++$record, ++$idx) {
                 if (is_numeric($this->data[$row][$record])) {       // Allow for missing Y data
                     $x2 = $x1 + $this->actual_bar_width;
@@ -3892,5 +3892,5 @@
         $x_first_bar = $this->record_bar_width / 2 - $this->bar_adjust_gap;
 
-        for ($row = 0; $row < $this->num_data_rows; $row++) {
+        for ($row = 0; $row < $this->num_data_rows; ++$row) {
             $record = 1;                                    // Skip record #0 (data label)
 
@@ -3906,5 +3906,5 @@
             // Draw the bars
             $oldv = 0;
-            for ($idx = 0; $record < $this->num_recs[$row]; $record++, $idx++) {
+            for ($idx = 0; $record < $this->num_recs[$row]; $record++, ++$idx) {
                 if (is_numeric($this->data[$row][$record])) {       // Allow for missing Y data
 
Index: /trunk/workflow/inc/class.Paging.inc.php
===================================================================
--- /trunk/workflow/inc/class.Paging.inc.php	(revision 795)
+++ /trunk/workflow/inc/class.Paging.inc.php	(revision 7655)
@@ -124,5 +124,5 @@
 			$end = min($start + $this->itemsPerPage, $totalItems);
 			$this->items = array();
-			for ($i = $start; $i < $end; $i++)
+			for ($i = $start; $i < $end; ++$i)
 				$this->items[] = $pItems[$i];
 		}
@@ -147,5 +147,5 @@
 		$charSeparator = empty($this->newRequest) ? "" : "&amp;";
 
-		for ($i = 0; $i < $this->numberOfPages; $i++)
+		for ($i = 0; $i < $this->numberOfPages; ++$i)
 		{
 			$page = $i;
@@ -178,5 +178,5 @@
 		$firstPage = max(0, $this->currentPage - $numberOfLinks);
 		$lastPage = min($this->currentPage + $numberOfLinks, $this->numberOfPages);
-		for ($i = $firstPage; $i < $lastPage; $i++)
+		for ($i = $firstPage; $i < $lastPage; ++$i)
 			$output[] = $allPaginationResults[$i];
 
@@ -225,5 +225,5 @@
 		}
 
-		for ($i = 0; $i < count($paginationLinks); $i++)
+		for ($i = 0; $i < count($paginationLinks); ++$i)
 		{
 			$tmp = $paginationLinks[$i];
Index: /trunk/workflow/inc/class.ui_orgchart.inc.php
===================================================================
--- /trunk/workflow/inc/class.ui_orgchart.inc.php	(revision 3255)
+++ /trunk/workflow/inc/class.ui_orgchart.inc.php	(revision 7655)
@@ -152,7 +152,7 @@
 
 			$ldap = &Factory::getInstance('WorkflowLDAP');
-			for ($i = 0; $i < count($output); $i++)
+			for ($i = 0; $i < count($output); ++$i)
 			{
-				for ($j = 0; $j < $result->_numOfFields; $j++)
+				for ($j = 0; $j < $result->_numOfFields; ++$j)
 					unset($output[$i][$j]);
 				if ($output[$i]['titular_funcionario_id'] != '')
@@ -162,5 +162,5 @@
 					$supervisorArray = explode(' ', $supervisor);
 					$supervisorName = '';
-					for ($j = 0; $j < count($supervisorArray); $j++)
+					for ($j = 0; $j < count($supervisorArray); ++$j)
 						$supervisorName .= (($j == 0) || ($j == count($supervisorArray) - 1)) ? $supervisorArray[$j] . ' ' : $supervisorArray[$j][0] . '. ';
 					$supervisorName = trim(str_replace("Junior", "Jr", $supervisorName));
Index: /trunk/expressoMail1_2/index.php
===================================================================
--- /trunk/expressoMail1_2/index.php	(revision 7625)
+++ /trunk/expressoMail1_2/index.php	(revision 7655)
@@ -238,5 +238,5 @@
     // gera paramero com tokens suportados ....
     $var_tokens = '';
-    for($ii = 1; $ii < 11; $ii++)
+    for($ii = 1; $ii < 11; ++$ii)
     {
         if($GLOBALS['phpgw_info']['server']['test_token' . $ii . '1'])
Index: /trunk/expressoMail1_2/login_offline.php
===================================================================
--- /trunk/expressoMail1_2/login_offline.php	(revision 5934)
+++ /trunk/expressoMail1_2/login_offline.php	(revision 7655)
@@ -196,5 +196,5 @@
 		$organizations = $obj_organization->organization_search($GLOBALS['phpgw_info']['server']['ldap_context']);
 		
-		for ($i=0; $i<count($organizations); $i++)
+		for ($i=0; $i<count($organizations); ++$i)
 		{
 			$tmp_array[strtolower($organizations[$i])] = $organizations[$i];	
Index: /trunk/expressoMail1_2/spell_checker/spell_checker.php
===================================================================
--- /trunk/expressoMail1_2/spell_checker/spell_checker.php	(revision 6057)
+++ /trunk/expressoMail1_2/spell_checker/spell_checker.php	(revision 7655)
@@ -211,5 +211,5 @@
 
 	//this loop looks through the words array and splits any lines of text that aren't html tags on space, preserving the spaces.
-	for($i=0; $i<$numResults; $i++){
+	for($i=0; $i<$numResults; ++$i){
 		// Words alternate between real words and html tags, starting with words.
 		if(($i & 1) == 0) // Even-numbered entries are word sets.
@@ -219,5 +219,5 @@
 			// Now go through each word and link up the misspelled ones.
 			$numWords = count($words[$i]);
-			for($j=0; $j<$numWords; $j++)
+			for($j=0; $j<$numWords; ++$j)
 			{
                                // $word = utf8_decode($words[$i][$j]);
@@ -242,5 +242,5 @@
                                             $words[$i][$j] = str_replace($tmpWord, "<span " . $onClick . " id=\"" . $varName . "_" . $misspelledCount . "_" . $tmpWord . "\" class=\"highlight\">" . stripslashes($tmpWord) . "</span>", $words[$i][$j]); 
 
-                                        $misspelledCount++;
+                                        ++$misspelledCount;
 
 				}
Index: /trunk/expressoMail1_2/spell_checker/cpaint/json.php
===================================================================
--- /trunk/expressoMail1_2/spell_checker/cpaint/json.php	(revision 3400)
+++ /trunk/expressoMail1_2/spell_checker/cpaint/json.php	(revision 7655)
@@ -126,5 +126,5 @@
           $s = '"';
                 
-          for ($i = 0; $i < $l; $i++) {
+          for ($i = 0; $i < $l; ++$i) {
             $c = $arg{$i};
                     
Index: /trunk/expressoMail1_2/spell_checker/cpaint/cpaint2.backend-debugger.php
===================================================================
--- /trunk/expressoMail1_2/spell_checker/cpaint/cpaint2.backend-debugger.php	(revision 3400)
+++ /trunk/expressoMail1_2/spell_checker/cpaint/cpaint2.backend-debugger.php	(revision 7655)
@@ -72,5 +72,5 @@
 	$scriptName = $_SERVER['SCRIPT_FILENAME'];
 	$fileLines = file($scriptName);
-	for ($i=0; $i < sizeof($fileLines); $i++) {
+	for ($i=0; $i < sizeof($fileLines); ++$i) {
 		$line = trim($fileLines[$i]);
 		if (substr($line, 0, 9) == "FUNCTION " || substr($line,0,9) == "function ") {
@@ -78,5 +78,5 @@
 		}		
 	}
-	for ($i = 0; $i < sizeof($match); $i++) {
+	for ($i = 0; $i < sizeof($match); ++$i) {
 		$line = str_replace("function ", "", $match[$i]);
 		$line = str_replace("FUNCTION ", "", $line);
Index: /trunk/expressoMail1_2/spell_checker/cpaint/cpaint2.inc.php
===================================================================
--- /trunk/expressoMail1_2/spell_checker/cpaint/cpaint2.inc.php	(revision 3400)
+++ /trunk/expressoMail1_2/spell_checker/cpaint/cpaint2.inc.php	(revision 7655)
@@ -846,5 +846,5 @@
 
       // now encode non-printable characters
-      for ($i = 0; $i < 32; $i++) {
+      for ($i = 0; $i < 32; ++$i) {
         $return_value = str_replace(chr($i), '\u00' . sprintf('%02x', $i), $return_value);
       } // end: for
Index: /trunk/expressoMail1_2/inc/class.db_functions.inc.php
===================================================================
--- /trunk/expressoMail1_2/inc/class.db_functions.inc.php	(revision 6532)
+++ /trunk/expressoMail1_2/inc/class.db_functions.inc.php	(revision 7655)
@@ -183,5 +183,5 @@
 		$array_addrs_final = array();				
 
-		for($i = 0; $i < count($array_addrs); $i++){
+		for($i = 0; $i < count($array_addrs); ++$i){
 			$j = count($array_addrs_final);
 
@@ -210,5 +210,5 @@
 								$array_addrs_final[$j] = $contact['connection_value'];
 
-							$j++;
+							++$j;
 						}
 					}else{
Index: /trunk/expressoMail1_2/inc/class.imap_functions.inc.php
===================================================================
--- /trunk/expressoMail1_2/inc/class.imap_functions.inc.php	(revision 7622)
+++ /trunk/expressoMail1_2/inc/class.imap_functions.inc.php	(revision 7655)
@@ -46,6 +46,6 @@
 	function imap_functions (){
 		$this->init();
-	} 
-        
+	}
+
 	function init(){
 		$this->foldersLimit    = $_SESSION['phpgw_info']['user']['preferences']['expressoMail']['imap_max_folders'] ?  $_SESSION['phpgw_info']['user']['preferences']['expressoMail']['imap_max_folders'] : 20000; //Limit of folders (mailboxes) user can see
@@ -231,5 +231,5 @@
                                             
                                     $return[$i] = $this->get_info_head_msg( $msg_number , $sample );					
-                                    $i++;
+                                    ++$i;
                             }
 							
@@ -245,10 +245,10 @@
 								array('filter' => $filter, 'criteria' => array('deepness' => '2'))
 							);
-							for($i=0; $i<count($sort_array_msg); $i++){
+							for($i=0; $i<count($sort_array_msg); ++$i){
 								if(!isset($return[$i]['msg_number']))
 									continue;
 									
 								$numFlags = count($followupflagged);
-								for($ii=0; $ii<$numFlags; $ii++){
+								for($ii=0; $ii<$numFlags; ++$ii){
 									if($return[$i]['msg_number'] == $followupflagged[$ii]['messageNumber']){
 										$followupflag = Controller::read( array( 'concept' => 'followupflag', 'id' => $followupflagged[$ii]['followupflagId'] ));
@@ -259,5 +259,5 @@
 								}
 								$numLabels = count($labeleds);
-								for($ii=0; $ii<$numLabels; $ii++){
+								for($ii=0; $ii<$numLabels; ++$ii){
 									if($return[$i]['msg_number'] == $labeleds[$ii]['messageNumber']){
 										$labels = Controller::read( array( 'concept' => 'label', 'id' =>  $labeleds[$ii]['labelId'])); 
@@ -290,5 +290,5 @@
                                 if($i <= ($msg_range_end-$msg_range_begin))
                                     $return[$i] = $temp;
-                                $i++;
+                                ++$i;
                             }
                         }
@@ -518,5 +518,5 @@
 			$elements = imap_mime_header_decode($string);
 
-  			for($i = 0;$i < count($elements);$i++)
+  			for($i = 0;$i < count($elements);++$i)
   			{
    				$charset = strtolower($elements[$i]->charset);
@@ -743,5 +743,5 @@
 			if(!in_array($each_id,$messages_not_to_copy)) {
 				array_push($ids,$each_id);
-				$cont++;
+				++$cont;
 			}
 			if($cont>=100)
@@ -786,5 +786,5 @@
 			$array_names_keys = array_keys($sorted_msgs);
 			
-			for($i = 0; $i < count($sorted_msgs); $i++){
+			for($i = 0; $i < count($sorted_msgs); ++$i){
 			
 				$new_params = array();
@@ -1132,5 +1132,5 @@
 			$return['next_message'] = null;
 		}else{
-			for($i = 0; $i < count($msg_ids); $i++){
+			for($i = 0; $i < count($msg_ids); ++$i){
 				if($msg_ids[$i] == $msg_number){
 					$return['prev_message'] = $msg_ids[$i-1];
@@ -2256,5 +2256,5 @@
 					$return['new_msgs'] += 1;
 				}
-				$aux++;
+				++$aux;
 			}
 		}else if(count($msg_to_insert) > 0 && $msgs_in_the_server && $msgs_in_the_client[0] != "" && $return['new_msgs'] == 0){
@@ -2264,5 +2264,5 @@
 					$return['new_msgs'] += 1;
 				}
-				$aux++;
+				++$aux;
 			}
 		}else if($num_msgs < $msg_range_end && $return['new_msgs'] == 0 && count($msg_to_insert) > 0 && $msg_range_end == $dif){
@@ -2298,5 +2298,5 @@
 
                     $return[$i]['msg_folder'] = $folder;
-                    $i++;
+                    ++$i;
 		}
 		$return['quota'] = $this->get_quota(array('folder_id' => $folder));
@@ -2366,5 +2366,5 @@
 	{
 		$principals = array();
-		for($x = 0; $x < 5 ; $x++)
+		for($x = 0; $x < 5 ; ++$x)
 		{
 			switch ($x) {
@@ -2559,5 +2559,5 @@
 		}else{
 			$child = $base_path.$this->imap_delimiter;
-			for($i =0; $i < count($test); $i++){
+			for($i =0; $i < count($test); ++$i){
 				$child .= ($test[$i] ? $test[$i] : $this->functions->getLang("New Folder"));
 				$namebox =  mb_convert_encoding($child, "UTF7-IMAP", "UTF-8");
@@ -3118,5 +3118,5 @@
             foreach ($size_rule_by_group as $i => $value) {
                 if (is_array($value[0])) {
-                    $n_rule_groups++;
+                    ++$n_rule_groups;
                     if ($value[0]['email_max_recipient'] > $maior_valor_regra_grupo)
                         $maior_valor_regra_grupo = $value[0]['email_max_recipient'];
@@ -3654,5 +3654,5 @@
 			return $returns;
 		}else{
-			for($i = 0; $i < count($array_names_keys); $i++){ 
+			for($i = 0; $i < count($array_names_keys); ++$i){
 				$param['folder'] = $array_names_keys[$i];
 				$param['msgs_to_set'] = $sorted_msgs[$array_names_keys[$i]];
@@ -4088,7 +4088,7 @@
 				$return[$j][$i]['attachment'] = $imap_attachment->get_attachment_headerinfo($mbox_stream, $msg_number);
 
-				$i++;
-			}
-			$j++;
+				++$i;
+			}
+			++$j;
 			if($mbox_stream)
 				imap_close($mbox_stream);
@@ -4142,5 +4142,5 @@
 						$temp['msg_folder'] = $folder['folder_id'];
 						$return["msgs"][$num_msgs] = $temp;
-						$num_msgs++;
+						++$num_msgs;
 					}
 
@@ -4564,5 +4564,5 @@
 				//$array_parts_attachments['names'] .= $array_parts_attachments[$i]['name'] . ', ';
 				$array_parts_attachments[$i]['fsize'] = $msg->fsize[$msgno][$index];
-				$i++;
+				++$i;
 			}
 		}
@@ -5067,5 +5067,5 @@
 				$return['msgs'][$i]['boxname'] = $folder;
 				$return['msgs'][$i]['uid'] = $v;
-				$i++;
+				++$i;
 			} 	
 		}
@@ -5104,5 +5104,5 @@
 		foreach ($return['msgs'] as $v)
 		{		
-			$k++;
+			++$k;
 			if($k < $ini || $k >= $end ) continue;			
 			$nMsgs[] = $v;
@@ -5289,5 +5289,5 @@
 //			foreach ($rrr as $v)
 //			{		
-//				$k++;
+//				++$k;
 //				if( $k < $ini || $k >= $end ) continue;			
 //				$r[] = $v;
@@ -5562,5 +5562,5 @@
         $arr_msg = explode(",", $msg_n);
        
-        for($i=0; $i<count($arr_msg); $i++){
+        for($i=0; $i<count($arr_msg); ++$i){
                         
             if(!$this->mbox || !is_resource($this->mbox))
Index: /trunk/expressoMail1_2/inc/class.exporteml.inc.php
===================================================================
--- /trunk/expressoMail1_2/inc/class.exporteml.inc.php	(revision 7414)
+++ /trunk/expressoMail1_2/inc/class.exporteml.inc.php	(revision 7655)
@@ -123,5 +123,5 @@
                     if (is_array($files))
                     {
-                        for ($i=0; $i < count($files); $i++)
+                        for ($i=0; $i < count($files); ++$i)
                         {
                             $files[$i] = escapeshellarg($files[$i]);
@@ -315,5 +315,5 @@
 			
 			//cria um .zip com as mensagens selecionadas
-			for($i = 0; $i < count($msg_number); $i++) 
+			for($i = 0; $i < count($msg_number); ++$i)
 			{
 				$header         = $this-> getHeader($msg_number[$i]);                                                                                   
@@ -354,5 +354,5 @@
 			$array_names_keys = array_keys($sorted_msgs);
 			
-			for($i = 0; $i < count($array_names_keys); $i++){ 
+			for($i = 0; $i < count($array_names_keys); ++$i){
 				$this->folder = mb_convert_encoding($array_names_keys[$i], "UTF7-IMAP","UTF-8, ISO-8859-1, UTF7-IMAP");
 				$msg_number = explode(',', $sorted_msgs[$array_names_keys[$i]]);
@@ -360,5 +360,5 @@
 				$this->connectImap();
 				
-				for($j = 0; $j < count($msg_number); $j++) 
+				for($j = 0; $j < count($msg_number); ++$j)
 				{
 					$header         = $this-> getHeader($msg_number[$j]);                                                                                   
@@ -474,5 +474,5 @@
 			}
 
-			for($i = 0; $i < count($array_ids); $i++) 
+			for($i = 0; $i < count($array_ids); ++$i)
 			{
 				$header         = $this-> getHeader($array_ids[$i]);                                                                                   
@@ -797,5 +797,5 @@
 		$fileNames = Array();
 			
-		for ($i = 0; $i < count($attachments); $i++)
+		for ($i = 0; $i < count($attachments); ++$i)
                 {
                    $attachments[$i]['name'] = $this->remove_accents($attachments[$i]['name']);
@@ -803,5 +803,5 @@
                 }
 
-                for ($i = 0; $i < count($attachments); $i++)
+                for ($i = 0; $i < count($attachments); ++$i)
                 {
                         $fileName = $attachments[$i]['name'];
@@ -811,5 +811,5 @@
                         if (count($result) > 1)
                         {
-                            for ($j = 1; $j < count($result); $j++)
+                            for ($j = 1; $j < count($result); ++$j)
                             {
                                 $replacement = '('.$j.')$0';
Index: /trunk/expressoMail1_2/inc/class.ScriptS.inc.php
===================================================================
--- /trunk/expressoMail1_2/inc/class.ScriptS.inc.php	(revision 6057)
+++ /trunk/expressoMail1_2/inc/class.ScriptS.inc.php	(revision 7655)
@@ -297,5 +297,5 @@
                 error_log( print_r($rule, true), 3, "/tmp/log" );
 
-                $a++;
+                ++$a;
             }
 
Index: /trunk/expressoMail1_2/inc/class.message_components.inc.php
===================================================================
--- /trunk/expressoMail1_2/inc/class.message_components.inc.php	(revision 5509)
+++ /trunk/expressoMail1_2/inc/class.message_components.inc.php	(revision 7655)
@@ -104,8 +104,8 @@
                 {
                     $parts = $sub_part;
-                    $n++;
-                }
-
-                for($p = 0, $i = 1; $p < count($parts); $n++, $p++, $i++)
+                    ++$n;
+                }
+
+                for($p = 0, $i = 1; $p < count($parts); ++$n, ++$p, ++$i)
                 {
                     // Skip the following...
@@ -255,5 +255,5 @@
 							break;
 						}
-						$n++;
+						++$n;
 					}
 				}
@@ -268,5 +268,5 @@
                         	if($this->charset[$mid][$n] == '')
                             	$this->charset[$mid][$n] = $param->value;
-							$n++;
+							++$n;
                         }
 					}
Index: /trunk/expressoMail1_2/inc/class.imap_attachment.inc.php
===================================================================
--- /trunk/expressoMail1_2/inc/class.imap_attachment.inc.php	(revision 6037)
+++ /trunk/expressoMail1_2/inc/class.imap_attachment.inc.php	(revision 7655)
@@ -21,5 +21,5 @@
 		if($contentParts > 1)
 		{
-	 		for($i=1; $i<$contentParts; $i++)
+	 		for($i=1; $i<$contentParts; ++$i)
 			{
 				$msg_info['attachment'][$i]['part_in_msg']	= ($i+1);
@@ -79,5 +79,5 @@
 				//$array_parts_attachments['names'] .= $array_parts_attachments[$i]['name'] . ', ';
 				$array_parts_attachments[$i]['fsize'] = $msg->fsize[$msgno][$index];
-				$i++;
+				++$i;
 			}
 		}
